<!doctype html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>GUSTO</title>
  <style>
    body {
      margin: 0;
    }

    .sect-loader {
      width: 100%;
      min-height: 100vh;
      display: flex;
      justify-content: center;
      align-items: center;
      overflow: hidden;
      position: fixed;
      top: 0;
      bottom: 0;
      right: 0;
      height: 0;
      background: rgb(225, 244, 235);
      backdrop-filter: blur(10px);
      background: linear-gradient(29deg, rgba(225, 244, 235, 0.7) 0%, rgba(237, 241, 239, 0.7) 48%);
      z-index: 100000 !important;
    }

    .loader-content {
      max-width: 190px;
      width: 100%;
      margin: 0 auto;
    }

    .loader-logo {
      display: flex;
      justify-content: space-between;
      align-items: center;
      left: 90px;

      .loader-logo__text {
        display: flex;
        flex-direction: column;

        .loader-logo__text-gusto {
          font-size: 40px;
          line-height: 42px;
          color: #3BB77E;
          font-weight: 800;
        }


        .loader-logo__text-shop {
          font-size: 16px;
          line-height: 18px;
          color: #000;
          font-weight: 600;
          text-align: center;
        }
      }
    }

    .loader-wrap {
      width: 100%;
      height: 100px;
      display: flex;
      justify-content: center;
      align-items: center;

    }

    .loader {
      animation: rotate 2s infinite;
      height: 50px;
      width: 50px;
    }

    .loader:before,
    .loader:after {
      border-radius: 50%;
      content: "";
      display: block;
      height: 20px;
      width: 20px;
    }

    .loader:before {
      animation: ball1 1s infinite;
      background-color: #b6f3b6;
      box-shadow: 30px 0 0 #3BB77E;
      margin-bottom: 10px;
    }

    .loader:after {
      animation: ball2 1s infinite;
      background-color: #3BB77E;
      box-shadow: 30px 0 0 #b6f3b6;
    }

    @keyframes rotate {
      0% {
        transform: rotate(0deg) scale(0.8)
      }

      50% {
        transform: rotate(360deg) scale(1.2)
      }

      100% {
        transform: rotate(720deg) scale(0.8)
      }
    }

    @keyframes ball1 {
      0% {
        box-shadow: 30px 0 0 #3BB77E;
      }

      50% {
        box-shadow: 0 0 0 #3BB77E;
        margin-bottom: 0;
        transform: translate(15px, 15px);
      }

      100% {
        box-shadow: 30px 0 0 #3BB77E;
        margin-bottom: 10px;
      }
    }

    @keyframes ball2 {
      0% {
        box-shadow: 30px 0 0 #b6f3b6;
      }

      50% {
        box-shadow: 0 0 0 #b6f3b6;
        margin-top: -20px;
        transform: translate(15px, 15px);
      }

      100% {
        box-shadow: 30px 0 0 #b6f3b6;
        margin-top: 0;
      }
    }
  </style>
</head>

<body>
  <div id="loader">
    <div class='sect-loader'>
      <div class='loader-content'>
        <div class="loader-logo">
          <svg width="90px" height="90px" viewBox="30 20 80 80">
            <path
              d="M 64.996094 74.695312 C 64.996094 75.386719 64.734375 76.070312 64.210938 76.597656 C 63.160156 77.644531 61.460938 77.644531 60.414062 76.597656 C 59.886719 76.070312 59.625 75.386719 59.625 74.695312 C 59.625 74.234375 59.75 73.769531 59.988281 73.355469 C 60.101562 73.15625 60.242188 72.96875 60.414062 72.796875 C 60.9375 72.273438 61.625 72.011719 62.3125 72.011719 C 62.996094 72.011719 63.6875 72.273438 64.210938 72.796875 C 64.382812 72.96875 64.523438 73.15625 64.632812 73.355469 C 64.875 73.769531 64.996094 74.234375 64.996094 74.695312 Z M 64.996094 74.695312 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(0, 104, 55); fill-opacity: 1;"></path>
            <use xlink:href="#surface5" mask="url(#mask0)"></use>
            <use xlink:href="#surface8" mask="url(#mask1)"></use>
            <path
              d="M 80.375 74.695312 C 80.375 75.386719 80.113281 76.070312 79.585938 76.597656 C 78.539062 77.644531 76.839844 77.644531 75.789062 76.597656 C 75.265625 76.070312 75.003906 75.386719 75.003906 74.695312 C 75.003906 74.234375 75.121094 73.769531 75.367188 73.355469 C 75.476562 73.15625 75.617188 72.96875 75.789062 72.796875 C 76.3125 72.273438 77.003906 72.011719 77.6875 72.011719 C 78.375 72.011719 79.0625 72.273438 79.585938 72.796875 C 79.757812 72.96875 79.902344 73.15625 80.011719 73.355469 C 80.253906 73.769531 80.375 74.234375 80.375 74.695312 Z M 80.375 74.695312 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(0, 104, 55); fill-opacity: 1;"></path>
            <use xlink:href="#surface11" mask="url(#mask2)"></use>
            <use xlink:href="#surface14" mask="url(#mask3)"></use>
            <path
              d="M 53.539062 45.152344 L 52.226562 46.492188 L 50.917969 47.835938 L 47.222656 51.617188 C 46.261719 50.644531 45.667969 49.3125 45.667969 47.835938 L 46.980469 46.492188 L 48.289062 45.152344 L 51.984375 41.371094 C 52.945312 42.339844 53.539062 43.675781 53.539062 45.152344 Z M 53.539062 45.152344 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(0, 104, 55); fill-opacity: 1;"></path>
            <use xlink:href="#surface17" mask="url(#mask4)"></use>
            <path
              d="M 89.667969 61.265625 L 77.863281 63.953125 L 57.078125 68.683594 C 57.074219 68.683594 57.074219 68.683594 57.074219 68.683594 C 55.394531 67.773438 54.253906 65.996094 54.253906 63.953125 L 66.058594 61.265625 L 86.847656 56.535156 C 88.523438 57.445312 89.667969 59.222656 89.667969 61.265625 Z M 89.667969 61.265625 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(0, 104, 55); fill-opacity: 1;"></path>
            <use xlink:href="#surface20" mask="url(#mask5)"></use>
            <path
              d="M 94.332031 53.207031 L 79.667969 55.894531 L 53.335938 60.71875 C 51.558594 59.84375 50.332031 58.011719 50.332031 55.894531 L 57.667969 54.550781 L 64.996094 53.207031 L 91.328125 48.386719 C 93.105469 49.257812 94.332031 51.089844 94.332031 53.207031 Z M 94.332031 53.207031 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(0, 104, 55); fill-opacity: 1;"></path>
            <use xlink:href="#surface23" mask="url(#mask6)"></use>
            <path
              d="M 53.539062 45.152344 L 40.480469 45.152344 C 39 45.152344 37.796875 43.945312 37.796875 42.464844 C 37.796875 41.726562 38.097656 41.050781 38.582031 40.566406 C 39.070312 40.078125 39.738281 39.777344 40.480469 39.777344 L 48.167969 39.777344 C 49.660156 39.777344 51.011719 40.386719 51.984375 41.371094 C 52.308594 41.695312 52.589844 42.0625 52.820312 42.464844 C 53.277344 43.25 53.539062 44.171875 53.539062 45.152344 Z M 53.539062 45.152344 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(217, 224, 33); fill-opacity: 1;"></path>
            <path
              d="M 52.820312 42.464844 L 37.796875 42.464844 C 37.796875 41.726562 38.097656 41.050781 38.582031 40.566406 C 39.070312 40.078125 39.738281 39.777344 40.484375 39.777344 L 48.167969 39.777344 C 49.660156 39.777344 51.011719 40.386719 51.984375 41.371094 C 52.308594 41.695312 52.589844 42.0625 52.820312 42.464844 Z M 52.820312 42.464844 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(255, 255, 255); fill-opacity: 1;"></path>
            <path
              d="M 94.332031 53.207031 L 51.039062 53.207031 C 49.546875 53.207031 48.195312 52.597656 47.222656 51.617188 C 46.902344 51.289062 46.621094 50.925781 46.390625 50.523438 C 45.929688 49.734375 45.667969 48.816406 45.667969 47.835938 L 88.960938 47.835938 C 89.8125 47.835938 90.613281 48.03125 91.328125 48.386719 C 92.285156 48.855469 93.082031 49.601562 93.613281 50.523438 C 94.070312 51.3125 94.332031 52.230469 94.332031 53.207031 Z M 94.332031 53.207031 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(140, 198, 63); fill-opacity: 1;"></path>
            <use xlink:href="#surface26" mask="url(#mask7)"></use>
            <path
              d="M 89.667969 61.265625 L 55.703125 61.265625 C 54.855469 61.265625 54.050781 61.070312 53.335938 60.71875 C 52.378906 60.25 51.582031 59.5 51.050781 58.582031 C 50.59375 57.789062 50.332031 56.875 50.332031 55.894531 L 84.296875 55.894531 C 85.21875 55.894531 86.085938 56.128906 86.847656 56.535156 C 87.722656 57.011719 88.449219 57.722656 88.949219 58.582031 C 89.40625 59.367188 89.667969 60.289062 89.667969 61.265625 Z M 89.667969 61.265625 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(57, 181, 74); fill-opacity: 1;"></path>
            <use xlink:href="#surface29" mask="url(#mask8)"></use>
            <path
              d="M 85.746094 66.640625 C 85.746094 68.121094 84.546875 69.324219 83.058594 69.324219 L 59.625 69.324219 C 58.703125 69.324219 57.835938 69.09375 57.078125 68.683594 C 57.074219 68.683594 57.074219 68.683594 57.074219 68.683594 C 56.199219 68.210938 55.46875 67.5 54.972656 66.640625 C 54.515625 65.851562 54.253906 64.933594 54.253906 63.953125 L 83.0625 63.953125 C 84.546875 63.953125 85.746094 65.15625 85.746094 66.640625 Z M 85.746094 66.640625 "
              style="stroke: none; fill-rule: nonzero; fill: rgb(0, 146, 69); fill-opacity: 1;"></path>
            <use xlink:href="#surface32" mask="url(#mask9)"></use>
          </svg>
          <div class="loader-logo__text">
            <span class="loader-logo__text-gusto">Gusto</span>
            <span class="loader-logo__text-shop">supermarket</span>
          </div>
        </div>
        <div class='loader-wrap'>
          <span class="loader"></span>
        </div>

      </div>
    </div>
  </div>
  <div id="root"></div>
  <div id="portal"></div>
  <script type="module" src="/src/main.jsx"></script>
</body>

</html>